Skip to content
Primary navigation

Create project

POST/organization/projects

Create a new project in the organization. Projects can be created and archived, but cannot be deleted.

Body ParametersJSONExpand Collapse
name: string

The friendly name of the project, this name appears in reports.

external_key_id: optional string

External key ID to associate with the project.

geography: optional string

Create the project with the specified data residency region. Your organization must have access to Data residency functionality in order to use. See data residency controls to review the functionality and limitations of setting this field.

ReturnsExpand Collapse
Project object { id, created_at, object, 4 more }

Represents an individual project.

id: string

The identifier, which can be referenced in API endpoints

created_at: number

The Unix timestamp (in seconds) of when the project was created.

formatunixtime
object: "organization.project"

The object type, which is always organization.project

archived_at: optional number

The Unix timestamp (in seconds) of when the project was archived or null.

formatunixtime
external_key_id: optional string

The external key associated with the project.

name: optional string

The name of the project. This appears in reporting.

status: optional string

active or archived

Create project

curl -X POST https://api.openai.com/v1/organization/projects \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "name": "Project ABC"
  }'
{
    "id": "proj_abc",
    "object": "organization.project",
    "name": "Project ABC",
    "created_at": 1711471533,
    "archived_at": null,
    "status": "active"
}
Returns Examples
{
    "id": "proj_abc",
    "object": "organization.project",
    "name": "Project ABC",
    "created_at": 1711471533,
    "archived_at": null,
    "status": "active"
}